org.apache.pdfbox.pdmodel.interactive.action

## Class PDAdditionalActions

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.action.PDAdditionalActions

All Implemented Interfaces:
  COSObjectable

    public class PDAdditionalActions
    extends Object
    implements COSObjectable

This represents a dictionary of actions that occur due to events.

Author:
  Ben Litchfield

### Constructor Summary

Constructors
Constructor and Description
`PDAdditionalActions()` Default constructor.
`PDAdditionalActions(COSDictionary a)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`COSDictionary` `getCOSObject()` Convert this standard java object to a COS object.
`PDAction` `getF()` Get the F action.
`void` `setF(PDAction action)` Set the F action.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDAdditionalActions

    public PDAdditionalActions()

Default constructor.

#### PDAdditionalActions

    public PDAdditionalActions(COSDictionary a)

Constructor.

Parameters:
  `a` - The action dictionary.

### Method Detail

#### getCOSObject

    public COSDictionary getCOSObject()

Convert this standard java object to a COS object.

Specified by:
  `getCOSObject` in interface `COSObjectable`
Returns:
  The cos object that matches this Java object.

#### getF

    public PDAction getF()

Get the F action.

Returns:
  The F action.

#### setF

    public void setF(PDAction action)

Set the F action.

Parameters:
  `action` - Get the F action.